%global momorel 1
Name:           gnome-sound-recorder
Version:        3.14.2
Release: %{momorel}m%{?dist}
Summary:        Make simple recordings from your desktop
Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://wiki.gnome.org/Design/Apps/SoundRecorder
Source0:        https://download.gnome.org/sources/%{name}/3.14/%{name}-%{version}.tar.xz
NoSource: 0

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  /usr/bin/gjs
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
# Version requirement is for the first release with package.js.
Requires:       gjs >= 1.41.4
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base

# Installs /usr/bin/gnome-sound-recorder, as well as a GStreamer properties
# tool, so a Provides is not appropriate. Retired in F21.
Obsoletes:      gnome-media < 3.4.0-7
Obsoletes:      gnome-media-apps < 3.4.0-7

%description
Make simple recordings from your desktop.

%prep
%setup -q


%build
%configure
make V=1 %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} INSTALL="install -p" install
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/HighContrast/*/apps/%{name}.png


%changelog
* Tue Nov 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- updte to 3.14.2

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0.1-1m)
- import from fedora

